Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Akonadi Google-Resource stürzt ab
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Schinkencroissant
Guru
Guru


Joined: 09 Oct 2009
Posts: 309

PostPosted: Tue Oct 05, 2010 6:51 pm    Post subject: Akonadi Google-Resource stürzt ab Reply with quote

Hallo,

mittlerweile habe ich ja dank Euch die Google-Anbindung für mein Akonadi installieren können. Leider komme ich damit aber nicht sonderlich gut weiter. Ich habe eine Kalender- und eine Adressbuch-Resource eingerichtet.

Wenn ich mich anmelde, bekomme ich insgesamt 4 Speicherzugriffsfehler von daher. Danach ist es erstmal ruhig, nur, wenn ich Kontact starte, kann ich dort zwar Termine bearbeiten (zumindest ein erfolgreicher Versuch), aber das Adressbuch sieht ziemlich leer aus, obwohl es auf meinem Telefon und in der Webansicht eindeutig nicht leer ist.

Hat jemand eine Idee, woran das liegen könnte? Eigentlich ist mein System so ziemlich auf dem neusten Stand.

Grüße,

Schinkencroissant
_________________
"Es muss ein Lehrplan her und eine Wertediskussion
und keine Werte unter 120 Phon!"

- J.B.O.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Wed Oct 06, 2010 7:37 am    Post subject: Reply with quote

4 Speicherzugriffsfehler? Normalerweise sollte ein Prozess nach dem ersten terminieren... Kannst du mal den kompletten backtrace posten?
Welche Versionen hast du nun installiert? In welcher KdePim-Version verwendest du die? stable-4.4.6, oder die aktuelle beta?
Ich seh grad, dass es vom 7. September updates von libgcal und akonadi-googledata gibt, davon aber noch nix in gentoo oder kdetesting zu sehen ist.

Ich habe hier mit den aktuellen betas von kontact etc. + libgcal-0.9.5 + akonadi-rgoogledata-1.1.0 keine Probleme - Nichts ist leer, keine SegFaults.
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Oct 06, 2010 7:50 am    Post subject: Reply with quote

@franzf: Welche sind denn die aktuellen Betas?
4.4.93 ist doch schon alt? (zumindest habe ich es am 07.09. installiert)
4.5.9999 ist doch SVN?

Danke
Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Wed Oct 06, 2010 8:47 am    Post subject: Reply with quote

Genau, die 4.4.93. Die 4.5.9999 ist die svn. (ist komisch von der Versionierung...).
Die letzte Beta ist vom 31. August.
Tobi, geht bei dir die beta + akonadi-googledata? Ich kann hier über kontact Kontakte ändern und diese werden (mit allen Angaben wie Adresse, Telefonnummern, etc.) auf dem Server übernommen. Gruppen gehen noch nicht (mein letzter Versuch).
Mit dem Calendar hab ich aber Probleme, ich schau mal ob die letzten Updates da was bringen.
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Oct 06, 2010 9:28 am    Post subject: Reply with quote

akonadi_googledata:
Code:
[ 70%] Building CXX object calendar/CMakeFiles/akonadi_gcal_resource.dir/akonadi_gcal_resource_automoc.o                                                         
/var/tmp/portage/kde-misc/akonadi-googledata-1.1.0-r1/work/akonadi-googledata-1.1.0/contacts/googledataresource.cpp:129: error: ‘gcal_phone_type’ was not declared in this scope
/var/tmp/portage/kde-misc/akonadi-googledata-1.1.0-r1/work/akonadi-googledata-1.1.0/contacts/googledataresource.cpp:129: error: expected ‘,’ or ‘;’ before ‘{’ token
[ 75%] Building CXX object contacts/CMakeFiles/akonadi_googledata_resource.dir/settings.o
[ 79%] Building CXX object contacts/CMakeFiles/akonadi_googledata_resource.dir/settingsadaptor.o                                                                 
make[2]: *** [contacts/CMakeFiles/akonadi_googledata_resource.dir/googledataresource.o] Error 1                                                                 
make[2]: *** Waiting for unfinished jobs....


EDIT:
Die 9999er Version geht zu kompilieren
Mal schauen, ob sie auch richtig funktioniert.

EDIT2:
Weder unter meinem User, noch unter einem Test-User geht irgendwas :/
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Wed Oct 06, 2010 9:47 am    Post subject: Reply with quote

Baust du zufälliug die akonadi-googledata-1.1.0 gegen die libgcal-9999? Würde den Fehler erklären...
Wenn das so ist, dürfte akonadi-googledata-9999 auch nicht bauen :P
Entweder ligcal downgraden uns ak-gd-1.1.0 installieren, oder libgcal-9999 + ak-gd-9999.

// Oops... Könnte auch sein, dass dus ligcal aktueller ist und deshalb die 1.1.0 nicht will...
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Oct 06, 2010 9:57 am    Post subject: Reply with quote

Nee.
Es geht wohl nicht, weil
/var/tmp/portage/kde-misc/akonadi-googledata-1.1.0-r1/work/akonadi-googledata-1.1.0/contacts/googledataresource.cpp:129: error: ‘gcal_phone_type’ was not declared in this scope
--> KABC::PhoneNumber::Type googlePhoneLabelToAkonadiType(gcal_phone_type label) {

das ist doch ein Typ vom Adressbuch?
Scheint wohl so, als ob sie die interne Struktur geändert haben und es somit nicht geht.

Das bedeutet, dass wir die 9999er Versionen brauchen.

Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Wed Oct 06, 2010 10:17 am    Post subject: Reply with quote

Ja, KABC::PhoneNumber::Type kommt irgendwo aus den Tiefen der kdepim(libs). googlePhoneLabelToAkonadiType ist eine Konvertierungsfunktion, die den jeweiligen Typ aus libgcal auf die Typen von akonadi mapped. gcal_phone_type ist der Typ, der aus libgcal kommt.
Code:
‘gcal_phone_type’ was not declared in this scope

kann jetzt heißen, dass der entsprechende include fehlt (evtl. haben die aufgeräumt und alle unnötigen includes in libgcal rausgenommen, jetzt fehlt in ak-gd einer), oder dass in libgcal was geändert wurde.
Aber prinzipiell sollten beide Pakete in release oder beide in svn kompilieren.
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Thu Oct 07, 2010 5:54 am    Post subject: Reply with quote

Update:
libgcal, akonadi-googledata in 9999
KdePim Suite in 4.4.6

damit funktionieren Kontakte sehr gut.
Kalender wird angezeigt, aber ich kann keine neuen Termine eintragen.
Außerdem wird nur der erste Kalender angezeigt...

EDIT:
mit 4.5.9999 gehen nur die Kontakte, Kalender wird gar nicht erst angezeigt :/

Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Schinkencroissant
Guru
Guru


Joined: 09 Oct 2009
Posts: 309

PostPosted: Thu Oct 07, 2010 4:41 pm    Post subject: Reply with quote

Hallo,

also installiert habe ich kontact 4.4.6, akonadi-googledata 1.1.0-r1 und libgcal 0.9.5.

Erster Speicherzugriffsfehler:

Code:
Application: Akonadi Resource (akonadi_googledata_resource), signal: Segmentation fault
[KCrash Handler]
#6  0x00007fc672483142 in ?? () from /lib/libc.so.6
#7  0x00007fc672482e66 in strdup () from /lib/libc.so.6
#8  0x00007fc6740ac18b in ?? () from /usr/lib64/libgcal.so.0
#9  0x00007fc6740acf90 in atom_extract_contact () from /usr/lib64/libgcal.so.0
#10 0x00007fc6740b1743 in extract_all_contacts () from /usr/lib64/libgcal.so.0
#11 0x00007fc6740b4286 in gcal_get_all_contacts () from /usr/lib64/libgcal.so.0
#12 0x00007fc6740b39c7 in gcal_get_contacts () from /usr/lib64/libgcal.so.0
#13 0x0000000000419a87 in _start ()


Zweiter Speicherzugriffsfehler:

Code:
Application: Akonadi Resource (akonadi_googledata_resource), signal: Segmentation fault
[KCrash Handler]
#6  0x00007f2ef009b142 in ?? () from /lib/libc.so.6
#7  0x00007f2ef009ae66 in strdup () from /lib/libc.so.6
#8  0x00007f2ef1cc418b in ?? () from /usr/lib64/libgcal.so.0
#9  0x00007f2ef1cc4f90 in atom_extract_contact () from /usr/lib64/libgcal.so.0
#10 0x00007f2ef1cc9743 in extract_all_contacts () from /usr/lib64/libgcal.so.0
#11 0x00007f2ef1ccc286 in gcal_get_all_contacts () from /usr/lib64/libgcal.so.0
#12 0x00007f2ef1ccb9c7 in gcal_get_contacts () from /usr/lib64/libgcal.so.0
#13 0x0000000000419a87 in _start ()


Dritter und vierter sehen genauso aus.

Wie gesagt, Kalender funktioniert zumindest teilweise (Termin mit Wiederholung wurde nur einfach eingetragen), aber Kontakte sind keine da.

Grüße,

Schinkencroissant

PS.: Jetzt gerade beim Testen gesehen, fünfter, sechster und siebter Speicherzugriffsfehler genau das gleiche.
_________________
"Es muss ein Lehrplan her und eine Wertediskussion
und keine Werte unter 120 Phon!"

- J.B.O.
Back to top
View user's profile Send private message
Schinkencroissant
Guru
Guru


Joined: 09 Oct 2009
Posts: 309

PostPosted: Fri Oct 08, 2010 10:04 pm    Post subject: Reply with quote

Mittlerweile wieder ein bisschen rumprobiert, normalerweise stürzt die Ressource "nur" vier mal ab und das passiert immer genau in dem Moment, in dem eine Internetverbindung zustande kommt.
_________________
"Es muss ein Lehrplan her und eine Wertediskussion
und keine Werte unter 120 Phon!"

- J.B.O.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum